package com.yidianling.ydlcommon.custom.data

import com.yidianling.ydlcommon.custom.GlobalInfo
import com.yidianling.ydlcommon.custom.base.BaseRam

/**
 * author : Zhangwenchao
 * e-mail : zhangwch@yidianling.com
 * time   : 2018/05/03
 */
interface YdlRam: BaseRam {

    fun getGlobalInfo(): GlobalInfo?

    fun setGlobalInfo(globalInfo: GlobalInfo)

    fun putNewYearKeyword(key: String, value: GlobalInfo.GlobalData.NewYearKeyword?)

    fun getNewYearKeyword(key: String): GlobalInfo.GlobalData.NewYearKeyword?

    fun getChannelName(): String
}